Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
Diffstat (limited to 'plugins/developer')
-rw-r--r--plugins/developer/org.eclipse.papyrus.codegen/META-INF/MANIFEST.MF2
-rw-r--r--plugins/developer/org.eclipse.papyrus.def/META-INF/MANIFEST.MF3
-rw-r--r--plugins/developer/org.eclipse.papyrus.dev.java.utils/src/org/eclipse/papyrus/dev/java/utils/Activator.java5
-rw-r--r--plugins/developer/org.eclipse.papyrus.domaincodegen.ui/META-INF/MANIFEST.MF21
-rw-r--r--plugins/developer/org.eclipse.papyrus.gmf.editpoliciesstates/META-INF/MANIFEST.MF4
-rw-r--r--plugins/developer/org.eclipse.papyrus.gmf.editpoliciesstates/src/org/eclipse/papyrus/gmf/editpoliciesstates/Activator.java15
-rw-r--r--plugins/developer/org.eclipse.papyrus.gmf.figureview/META-INF/MANIFEST.MF4
-rw-r--r--plugins/developer/org.eclipse.papyrus.gmfgenextension/META-INF/MANIFEST.MF8
-rw-r--r--plugins/developer/org.eclipse.papyrus.uml.developer.mde/META-INF/MANIFEST.MF12
-rw-r--r--plugins/developer/org.eclipse.papyrus.uml.developer.mde/src/org/eclipse/papyrus/uml/developper/mde/Activator.java6
10 files changed, 47 insertions, 33 deletions
diff --git a/plugins/developer/org.eclipse.papyrus.codegen/META-INF/MANIFEST.MF b/plugins/developer/org.eclipse.papyrus.codegen/META-INF/MANIFEST.MF
index fcaca2bd89a..b4041af123e 100644
--- a/plugins/developer/org.eclipse.papyrus.codegen/META-INF/MANIFEST.MF
+++ b/plugins/developer/org.eclipse.papyrus.codegen/META-INF/MANIFEST.MF
@@ -17,4 +17,4 @@ Bundle-Activator: org.eclipse.papyrus.codegen.Activator
Bundle-ManifestVersion: 2
Bundle-SymbolicName: org.eclipse.papyrus.codegen;singleton:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
-
+Bundle-Localization: plugin
diff --git a/plugins/developer/org.eclipse.papyrus.def/META-INF/MANIFEST.MF b/plugins/developer/org.eclipse.papyrus.def/META-INF/MANIFEST.MF
index cfeb1e10ec9..779d817faa4 100644
--- a/plugins/developer/org.eclipse.papyrus.def/META-INF/MANIFEST.MF
+++ b/plugins/developer/org.eclipse.papyrus.def/META-INF/MANIFEST.MF
@@ -7,6 +7,7 @@ Bundle-Name: %pluginName
Bundle-ManifestVersion: 2
Bundle-SymbolicName: org.eclipse.papyrus.def;singleton:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
+Bundle-Localization: plugin
Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.2.0,4.0.0)",
org.eclipse.core.resources;bundle-version="[3.2.0,4.0.0)",
org.eclipse.emf.ecore;bundle-version="[2.4.0,3.0.0)";visibility:=reexport,
@@ -21,7 +22,7 @@ Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.2.0,4.0.0)",
org.eclipse.xtext.builder;bundle-version="2.3.1",
org.eclipse.xtend.lib,
org.eclipse.ocl.ecore,
- com.google.guava,
+ com.google.guava;bundle-version="11.0.0",
org.eclipse.xtext.xbase.lib,
org.eclipse.gmf.codegen.xtend;bundle-version="1.0.0",
org.eclipse.papyrus.gmfgenextension;bundle-version="1.0.0",
diff --git a/plugins/developer/org.eclipse.papyrus.dev.java.utils/src/org/eclipse/papyrus/dev/java/utils/Activator.java b/plugins/developer/org.eclipse.papyrus.dev.java.utils/src/org/eclipse/papyrus/dev/java/utils/Activator.java
index 146d7d3a8d6..df9ac01ec9b 100644
--- a/plugins/developer/org.eclipse.papyrus.dev.java.utils/src/org/eclipse/papyrus/dev/java/utils/Activator.java
+++ b/plugins/developer/org.eclipse.papyrus.dev.java.utils/src/org/eclipse/papyrus/dev/java/utils/Activator.java
@@ -1,5 +1,5 @@
/*****************************************************************************
- * Copyright (c) 2011 CEA LIST.
+ * Copyright (c) 2011, 2014 CEA LIST and others.
*
*
* All rights reserved. This program and the accompanying materials
@@ -9,6 +9,7 @@
*
* Contributors:
* Vincent Lorenzo (CEA LIST) vincent.lorenzo@cea.fr - Initial API and implementation
+ * Christian W. Damus (CEA) - fix PLUGIN_ID to match bundle symbolic name
*
*****************************************************************************/
package org.eclipse.papyrus.dev.java.utils;
@@ -22,7 +23,7 @@ import org.osgi.framework.BundleContext;
public class Activator extends AbstractUIPlugin {
// The plug-in ID
- public static final String PLUGIN_ID = "org.eclipse.papyrus.eclipse.utils"; //$NON-NLS-1$
+ public static final String PLUGIN_ID = "org.eclipse.papyrus.dev.java.utils"; //$NON-NLS-1$
// The shared instance
private static Activator plugin;
diff --git a/plugins/developer/org.eclipse.papyrus.domaincodegen.ui/META-INF/MANIFEST.MF b/plugins/developer/org.eclipse.papyrus.domaincodegen.ui/META-INF/MANIFEST.MF
index 445747ab638..17886148ddf 100644
--- a/plugins/developer/org.eclipse.papyrus.domaincodegen.ui/META-INF/MANIFEST.MF
+++ b/plugins/developer/org.eclipse.papyrus.domaincodegen.ui/META-INF/MANIFEST.MF
@@ -1,4 +1,14 @@
Manifest-Version: 1.0
+Bundle-Vendor: %providerName
+Eclipse-LazyStart: true
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 1.0.0.qualifier
+Bundle-Name: %pluginName
+Bundle-Activator: org.eclipse.papyrus.domaincodegen.ui.Activator
+Bundle-ManifestVersion: 2
+Bundle-SymbolicName: org.eclipse.papyrus.domaincodegen.ui;singleton:=true
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+Bundle-Localization: plugin
Require-Bundle: org.eclipse.ui,
org.eclipse.core.runtime,
org.eclipse.core.resources,
@@ -9,14 +19,3 @@ Require-Bundle: org.eclipse.ui,
org.eclipse.acceleo.model,
org.eclipse.acceleo.engine,
org.eclipse.papyrus.domaincontextcodegen;bundle-version="1.0.0"
-Bundle-Vendor: %providerName
-Eclipse-LazyStart: true
-Bundle-ActivationPolicy: lazy
-Bundle-Version: 1.0.0.qualifier
-Bundle-Name: %pluginName
-Bundle-Activator: org.eclipse.papyrus.domaincodegen.ui.Activator
-Bundle-ManifestVersion: 2
-Bundle-SymbolicName: org.eclipse.papyrus.domaincodegen.ui;singleton:=t
- rue
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-
diff --git a/plugins/developer/org.eclipse.papyrus.gmf.editpoliciesstates/META-INF/MANIFEST.MF b/plugins/developer/org.eclipse.papyrus.gmf.editpoliciesstates/META-INF/MANIFEST.MF
index 7dd802a59b1..ef8a3b969c1 100644
--- a/plugins/developer/org.eclipse.papyrus.gmf.editpoliciesstates/META-INF/MANIFEST.MF
+++ b/plugins/developer/org.eclipse.papyrus.gmf.editpoliciesstates/META-INF/MANIFEST.MF
@@ -1,8 +1,8 @@
Manifest-Version: 1.0
Require-Bundle: org.eclipse.ui,
org.eclipse.core.runtime,
- org.eclipse.papyrus.emf.facet.common.ui,
- org.eclipse.gmf.runtime.diagram.ui,
+ org.eclipse.papyrus.emf.facet.common.ui;bundle-version="1.0.0",
+ org.eclipse.gmf.runtime.diagram.ui;bundle-version="1.8.0",
org.eclipse.papyrus.infra.core;bundle-version="1.0.0",
org.eclipse.papyrus.editor;bundle-version="1.0.0",
org.eclipse.papyrus.infra.gmfdiag.dnd;bundle-version="1.0.0"
diff --git a/plugins/developer/org.eclipse.papyrus.gmf.editpoliciesstates/src/org/eclipse/papyrus/gmf/editpoliciesstates/Activator.java b/plugins/developer/org.eclipse.papyrus.gmf.editpoliciesstates/src/org/eclipse/papyrus/gmf/editpoliciesstates/Activator.java
index cb6b5fc23fe..4ccf5fdc029 100644
--- a/plugins/developer/org.eclipse.papyrus.gmf.editpoliciesstates/src/org/eclipse/papyrus/gmf/editpoliciesstates/Activator.java
+++ b/plugins/developer/org.eclipse.papyrus.gmf.editpoliciesstates/src/org/eclipse/papyrus/gmf/editpoliciesstates/Activator.java
@@ -1,3 +1,16 @@
+/*****************************************************************************
+ * Copyright (c) 2013, 2014 CEA LIST and others.
+ *
+ * All rights reserved. This program and the accompanying materials
+ * are made available under the terms of the Eclipse Public License v1.0
+ * which accompanies this distribution, and is available at
+ * http://www.eclipse.org/legal/epl-v10.html
+ *
+ * Contributors:
+ * CEA LIST - Initial API and implementation
+ * Christian W. Damus (CEA) - fix PLUGIN_ID to match bundle symbolic name
+ *
+ *****************************************************************************/
package org.eclipse.papyrus.gmf.editpoliciesstates;
import org.eclipse.ui.plugin.AbstractUIPlugin;
@@ -9,7 +22,7 @@ import org.osgi.framework.BundleContext;
public class Activator extends AbstractUIPlugin {
// The plug-in ID
- public static final String PLUGIN_ID = "org.eclipse.papyrus.gmf.editPoliciesstates"; //$NON-NLS-1$
+ public static final String PLUGIN_ID = "org.eclipse.papyrus.gmf.editpoliciesstates"; //$NON-NLS-1$
// The shared instance
private static Activator plugin;
diff --git a/plugins/developer/org.eclipse.papyrus.gmf.figureview/META-INF/MANIFEST.MF b/plugins/developer/org.eclipse.papyrus.gmf.figureview/META-INF/MANIFEST.MF
index 86c1fcc6200..6275f8e6896 100644
--- a/plugins/developer/org.eclipse.papyrus.gmf.figureview/META-INF/MANIFEST.MF
+++ b/plugins/developer/org.eclipse.papyrus.gmf.figureview/META-INF/MANIFEST.MF
@@ -3,8 +3,8 @@ Export-Package: org.eclipse.papyrus.gmf.figureview,
org.eclipse.papyrus.gmf.figureview.view
Require-Bundle: org.eclipse.ui,
org.eclipse.core.runtime,
- org.eclipse.papyrus.emf.facet.common.ui,
- org.eclipse.gmf.runtime.diagram.ui,
+ org.eclipse.papyrus.emf.facet.common.ui;bundle-version="1.0.0",
+ org.eclipse.gmf.runtime.diagram.ui;bundle-version="1.8.0",
org.eclipse.papyrus.infra.core;bundle-version="1.0.0",
org.eclipse.papyrus.editor;bundle-version="1.0.0",
org.eclipse.papyrus.infra.gmfdiag.dnd;bundle-version="1.0.0"
diff --git a/plugins/developer/org.eclipse.papyrus.gmfgenextension/META-INF/MANIFEST.MF b/plugins/developer/org.eclipse.papyrus.gmfgenextension/META-INF/MANIFEST.MF
index 2269141141e..392b073080d 100644
--- a/plugins/developer/org.eclipse.papyrus.gmfgenextension/META-INF/MANIFEST.MF
+++ b/plugins/developer/org.eclipse.papyrus.gmfgenextension/META-INF/MANIFEST.MF
@@ -1,9 +1,9 @@
Manifest-Version: 1.0
Require-Bundle: org.eclipse.core.runtime,
- org.eclipse.emf.ecore;visibility:=reexport,
- org.eclipse.papyrus.domaincontextcodegen;visibility:=reexport;bundle-version="1.0.0",
- org.eclipse.emf.codegen.ecore;visibility:=reexport,
- org.eclipse.gmf.codegen;visibility:=reexport,
+ org.eclipse.emf.ecore;bundle-version="2.10.0";visibility:=reexport,
+ org.eclipse.papyrus.domaincontextcodegen;bundle-version="1.0.0";visibility:=reexport,
+ org.eclipse.emf.codegen.ecore;bundle-version="2.10.0";visibility:=reexport,
+ org.eclipse.gmf.codegen;bundle-version="2.11.0";visibility:=reexport,
org.eclipse.ui;bundle-version="3.5.0",
org.eclipse.uml2.uml;bundle-version="3.0.0",
org.eclipse.uml2.uml.edit;bundle-version="3.0.0",
diff --git a/plugins/developer/org.eclipse.papyrus.uml.developer.mde/META-INF/MANIFEST.MF b/plugins/developer/org.eclipse.papyrus.uml.developer.mde/META-INF/MANIFEST.MF
index 392c590f131..d6642af5abf 100644
--- a/plugins/developer/org.eclipse.papyrus.uml.developer.mde/META-INF/MANIFEST.MF
+++ b/plugins/developer/org.eclipse.papyrus.uml.developer.mde/META-INF/MANIFEST.MF
@@ -10,16 +10,16 @@ Require-Bundle: org.eclipse.ui,
org.eclipse.emf;bundle-version="2.6.0",
org.eclipse.papyrus.uml.diagram.wizards;bundle-version="1.0.0",
org.eclipse.uml2.uml,
- org.eclipse.papyrus.infra.emf,
- org.eclipse.papyrus.infra.core,
- org.eclipse.papyrus.editor,
+ org.eclipse.papyrus.infra.emf;bundle-version="1.0.0",
+ org.eclipse.papyrus.infra.core;bundle-version="1.0.0",
+ org.eclipse.papyrus.editor;bundle-version="1.0.0",
org.eclipse.gmf.runtime.notation.edit,
org.eclipse.gmf.runtime.diagram.ui,
org.eclipse.gmf.runtime.diagram.ui.render,
- org.eclipse.papyrus.views.modelexplorer,
- org.eclipse.papyrus.infra.gmfdiag.common,
+ org.eclipse.papyrus.views.modelexplorer;bundle-version="1.0.0",
+ org.eclipse.papyrus.infra.gmfdiag.common;bundle-version="1.0.0",
org.eclipse.core.resources,
- org.eclipse.papyrus.infra.hyperlink
+ org.eclipse.papyrus.infra.hyperlink;bundle-version="1.0.0"
Bundle-RequiredExecutionEnvironment: J2SE-1.5
Bundle-ActivationPolicy: lazy
Bundle-Vendor: %providerName
diff --git a/plugins/developer/org.eclipse.papyrus.uml.developer.mde/src/org/eclipse/papyrus/uml/developper/mde/Activator.java b/plugins/developer/org.eclipse.papyrus.uml.developer.mde/src/org/eclipse/papyrus/uml/developper/mde/Activator.java
index 77d724c6b52..70d2f4192e2 100644
--- a/plugins/developer/org.eclipse.papyrus.uml.developer.mde/src/org/eclipse/papyrus/uml/developper/mde/Activator.java
+++ b/plugins/developer/org.eclipse.papyrus.uml.developer.mde/src/org/eclipse/papyrus/uml/developper/mde/Activator.java
@@ -1,6 +1,5 @@
/*****************************************************************************
- * Copyright (c) 2014 CEA LIST.
- *
+ * Copyright (c) 2014 CEA LIST and others.
*
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
@@ -9,6 +8,7 @@
*
* Contributors:
* Patrick Tessier (CEA LIST) Patrick.tessier@cea.fr - Initial API and implementation
+ * Christian W. Damus (CEA) - fix PLUGIN_ID to match bundle symbolic name
*
*****************************************************************************/
package org.eclipse.papyrus.uml.developper.mde;
@@ -22,7 +22,7 @@ import org.osgi.framework.BundleContext;
public class Activator extends AbstractUIPlugin {
/** The plug-in ID**/
- public static final String PLUGIN_ID = "org.eclipse.papyrus.uml.developper.idm"; //$NON-NLS-1$
+ public static final String PLUGIN_ID = "org.eclipse.papyrus.uml.developer.mde"; //$NON-NLS-1$
// The shared instance
private static Activator plugin;

Back to the top